> ## Documentation Index
> Fetch the complete documentation index at: https://holder.docs.fiskil.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Payees

> Obtain a list of pre-registered payees.



## OpenAPI

````yaml /openapi/cdr.yml get /v1/banking/customer/{customerId}/payees
openapi: 3.0.3
info:
  description: Fiskil Data Holder as a Service (DHaaS) endpoints for the Energy sector
  title: Fiskil Data APIs
  version: 1.5.0
servers:
  - url: https://api.provider.fiskil.com
security:
  - bearerAuth: []
paths:
  /v1/banking/customer/{customerId}/payees:
    get:
      tags:
        - Banking
        - Payees
      summary: Get Payees
      description: Obtain a list of pre-registered payees.
      operationId: listPayees
      parameters:
        - $ref: '#/components/parameters/customerId'
        - description: >-
            Filter on the payee type field.  In addition to normal type field
            values, ALL can be specified to retrieve all payees.  If absent the
            assumed value is ALL
          explode: true
          in: query
          name: type
          required: false
          schema:
            default: ALL
            enum:
              - ALL
              - BILLER
              - DIGITAL_WALLET
              - DOMESTIC
              - INTERNATIONAL
            type: string
          style: form
        - $ref: '#/components/parameters/page'
        - $ref: '#/components/parameters/page-size'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResponseBankingPayeeListV2'
          description: List of payees the user has registered
        '404':
          $ref: '#/components/responses/responseErrorCustomerIdNotFound'
components:
  parameters:
    customerId:
      description: >-
        Unique ID of a customer. This ID must not change for the lifecycle of
        the customer
      explode: false
      in: path
      name: customerId
      required: true
      schema:
        type: string
      style: simple
    page:
      description: Page of results to request (standard pagination)
      explode: true
      in: query
      name: page
      required: false
      schema:
        type: integer
      style: form
      x-cds-type: PositiveInteger
    page-size:
      description: Page size to request.  Default is 25 (standard pagination)
      explode: true
      in: query
      name: page-size
      required: false
      schema:
        type: integer
      style: form
      x-cds-type: PositiveInteger
  schemas:
    ResponseBankingPayeeListV2:
      example:
        data:
          payees:
            - payeeId: c9467d0d-4263-428d-9679-8424a48c47b0
              nickname: P Sherman
              description: My favourite dentist
              type: DOMESTIC
              creationDate: '2025-01-20T00:00:00.000Z'
              payeeUType: domestic
              domestic:
                payeeAccountUType: account
                account:
                  accountName: Peter Sherman
                  bsb: 111222
                  accountNumber: 12345678
        links:
          first: page=1&page-size=25&oldest-date=2023-04-24
          last: page=4&page-size=25&oldest-date=2023-04-24
          next: page=3&page-size=25&oldest-date=2023-04-24
          prev: page=1&page-size=25&oldest-date=2023-04-24
        meta:
          totalRecords: 1
          totalPages: 1
      properties:
        data:
          $ref: '#/components/schemas/ResponseBankingPayeeListV2_data'
        links:
          $ref: '#/components/schemas/LinksPaginated'
        meta:
          $ref: '#/components/schemas/MetaPaginated'
      required:
        - data
        - links
        - meta
      type: object
    ResponseBankingPayeeListV2_data:
      properties:
        payees:
          description: The list of payees returned
          items:
            $ref: '#/components/schemas/BankingPayeeDetailV2'
          type: array
      required:
        - payees
      type: object
    LinksPaginated:
      description: >-
        URL Query parameters to obtain different pages of the response. Fiskil
        will combine these with the rest of the request URL to build full link
        URLs in the final response.
      example:
        first: page=1&page-size=25&oldest-date=2023-04-24
        last: page=4&page-size=25&oldest-date=2023-04-24
        next: page=3&page-size=25&oldest-date=2023-04-24
        prev: page=1&page-size=25&oldest-date=2023-04-24
      properties:
        first:
          description: >-
            A url-encoded query for the first page of this result set. Mandatory
            if this response is not the first page.
          type: string
        prev:
          description: >-
            A url-encoded query for the previous page. Mandatory if this
            response is not the first page
          type: string
        next:
          description: >-
            A url-encoded query for the next page. Mandatory if this response is
            not the last page.
          type: string
        last:
          description: >-
            A url-encoded query for the last page. Mandatory if this response is
            not the last page.
          type: string
      type: object
    MetaPaginated:
      example:
        totalRecords: 150
        totalPages: 6
      properties:
        totalRecords:
          description: >-
            The total number of records in the full set. See
            [pagination](#pagination).
          type: integer
          x-cds-type: NaturalNumber
        totalPages:
          description: >-
            The total number of pages in the full set. See
            [pagination](#pagination).
          type: integer
          x-cds-type: NaturalNumber
      required:
        - totalPages
        - totalRecords
      type: object
    GenericError:
      example:
        error: An error message
      type: object
      properties:
        error:
          type: string
          description: A message describing what caused the error
      required:
        - error
    BankingPayeeDetailV2:
      allOf:
        - $ref: '#/components/schemas/BankingPayeeV2'
        - $ref: '#/components/schemas/BankingPayeeDetailV2_allOf'
    BankingPayeeV2:
      properties:
        payeeId:
          description: ID of the payee adhering to the rules of ID permanence
          type: string
          x-cds-type: ASCIIString
        nickname:
          description: >-
            The short display name of the payee as provided by the customer.
            Where a customer has not provided a nickname, a display name derived
            by the bank for the payee consistent with existing digital banking
            channels
          type: string
        description:
          description: A description of the payee provided by the customer
          type: string
        type:
          description: >
            The type of payee.

            * *DOMESTIC* -- a registered payee for domestic payments including
            NPP.

            * *INTERNATIONAL* -- a registered payee for international payments.

            * *BILLER* -- a registered payee for BPAY.

            * *DIGITAL_WALLET* -- a registered payee for a bank's digital wallet
          enum:
            - BILLER
            - DIGITAL_WALLET
            - DOMESTIC
            - INTERNATIONAL
          type: string
        creationDate:
          description: The date the payee was created by the customer
          type: string
          x-cds-type: DateString
      required:
        - nickname
        - payeeId
        - type
      type: object
    BankingPayeeDetailV2_allOf:
      properties:
        payeeUType:
          description: Type of object included that describes the payee in detail
          enum:
            - biller
            - digitalWallet
            - domestic
            - international
          type: string
        biller:
          $ref: '#/components/schemas/BankingBillerPayee'
        domestic:
          $ref: '#/components/schemas/BankingDomesticPayee'
        digitalWallet:
          $ref: '#/components/schemas/BankingDigitalWalletPayee'
        international:
          $ref: '#/components/schemas/BankingInternationalPayee'
      required:
        - payeeUType
      type: object
      x-conditional:
        - biller
        - digitalWallet
        - domestic
        - international
    BankingBillerPayee:
      properties:
        billerCode:
          description: BPAY Biller Code of the Biller
          type: string
        crn:
          description: >-
            BPAY CRN of the Biller (if available).<br/>Where the CRN contains
            sensitive information, it should be masked in line with how the Data
            Holder currently displays account identifiers in their existing
            online banking channels. If the contents of the CRN match the format
            of a Credit Card PAN they should be masked according to the rules
            applicable for MaskedPANString. If the contents are otherwise
            sensitive, then it should be masked using the rules applicable for
            the MaskedAccountString common type.
          type: string
        billerName:
          description: Name of the Biller
          type: string
      required:
        - billerCode
        - billerName
      type: object
      x-conditional:
        - crn
    BankingDomesticPayee:
      properties:
        payeeAccountUType:
          description: >-
            Type of account object included. Valid values are: **account** A
            standard Australian account defined by BSB/Account Number. **card**
            A credit or charge card to pay to (note that PANs are masked).
            **payId** A PayID recognised by NPP
          enum:
            - account
            - card
            - payId
          type: string
        account:
          $ref: '#/components/schemas/BankingDomesticPayeeAccount'
        card:
          $ref: '#/components/schemas/BankingDomesticPayeeCard'
        payId:
          $ref: '#/components/schemas/BankingDomesticPayeePayId'
      required:
        - payeeAccountUType
      type: object
      x-conditional:
        - account
        - card
        - payId
    BankingDigitalWalletPayee:
      properties:
        name:
          description: >-
            The display name of the wallet as given by the customer, else a
            default value defined by the data holder
          type: string
        identifier:
          description: The identifier of the digital wallet (dependent on type)
          type: string
        type:
          description: The type of the digital wallet identifier
          enum:
            - EMAIL
            - CONTACT_NAME
            - TELEPHONE
          type: string
        provider:
          description: The provider of the digital wallet
          enum:
            - PAYPAL_AU
            - OTHER
          type: string
      required:
        - identifier
        - name
        - provider
        - type
      type: object
    BankingInternationalPayee:
      properties:
        beneficiaryDetails:
          $ref: '#/components/schemas/BankingInternationalPayee_beneficiaryDetails'
        bankDetails:
          $ref: '#/components/schemas/BankingInternationalPayee_bankDetails'
      required:
        - bankDetails
        - beneficiaryDetails
      type: object
    BankingDomesticPayeeAccount:
      properties:
        accountName:
          description: Name of the account to pay to
          type: string
        bsb:
          description: BSB of the account to pay to
          type: string
        accountNumber:
          description: Number of the account to pay to
          type: string
      required:
        - accountNumber
        - bsb
      type: object
    BankingDomesticPayeeCard:
      properties:
        cardNumber:
          description: Name of the account to pay to
          type: string
          x-cds-type: MaskedPANString
      required:
        - cardNumber
      type: object
    BankingDomesticPayeePayId:
      properties:
        name:
          description: The name assigned to the PayID by the owner of the PayID
          type: string
        identifier:
          description: The identifier of the PayID (dependent on type)
          type: string
        type:
          description: The type of the PayID
          enum:
            - ABN
            - EMAIL
            - ORG_IDENTIFIER
            - TELEPHONE
          type: string
      required:
        - identifier
        - type
      type: object
    BankingInternationalPayee_beneficiaryDetails:
      properties:
        name:
          description: Name of the beneficiary
          type: string
        country:
          description: >-
            Country where the beneficiary resides. A valid [ISO 3166
            Alpha-3](https://www.iso.org/iso-3166-country-codes.html) country
            code
          type: string
          x-cds-type: ExternalRef
        message:
          description: Response message for the payment
          type: string
      required:
        - country
      type: object
    BankingInternationalPayee_bankDetails:
      properties:
        country:
          description: >-
            Country of the recipient institution. A valid [ISO 3166
            Alpha-3](https://www.iso.org/iso-3166-country-codes.html) country
            code
          type: string
          x-cds-type: ExternalRef
        accountNumber:
          description: Account Targeted for payment
          type: string
        bankAddress:
          $ref: >-
            #/components/schemas/BankingInternationalPayee_bankDetails_bankAddress
        beneficiaryBankBIC:
          description: >-
            Swift bank code.  Aligns with standard [ISO
            9362](https://www.iso.org/standard/60390.html)
          type: string
          x-cds-type: ExternalRef
        fedWireNumber:
          description: Number for Fedwire payment (Federal Reserve Wire Network)
          type: string
        sortCode:
          description: Sort code used for account identification in some jurisdictions
          type: string
        chipNumber:
          description: Number for the Clearing House Interbank Payments System
          type: string
        routingNumber:
          description: International bank routing number
          type: string
        legalEntityIdentifier:
          description: >-
            The legal entity identifier (LEI) for the beneficiary.  Aligns with
            [ISO 17442](https://www.iso.org/standard/59771.html)
          type: string
          x-cds-type: ExternalRef
      required:
        - accountNumber
        - country
      type: object
    BankingInternationalPayee_bankDetails_bankAddress:
      properties:
        name:
          description: Name of the recipient Bank
          type: string
        address:
          description: Address of the recipient Bank
          type: string
      required:
        - address
        - name
      type: object
  responses:
    responseErrorCustomerIdNotFound:
      description: The customer ID in the URL path is invalid or not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/GenericError'
            example:
              error: Customer not found
  securitySchemes:
    bearerAuth:
      description: >
        The Fiskil Data Provider will include a self-signed JWT as a Bearer
        token in the `Authorization` header.

        You should verify this JWT using the JWKS URL you can find for your Data
        Provider instance in the Fiskil

        Console. To verify the JWT you **must**:
          * Verify the signature
          * Ensure the token has not expired by checking the `exp` claim
          * The `sub` and `iss` claims are your data provider subdomain
          * The `aud` claim is the URI of the resource being requested (excluding any query parameters)
          * The `jti` value is unique
        For further detail on security and authentication refer to our
        [Authentication](/docs/get-started/authentication) documentation
      type: http
      scheme: bearer
      bearerFormat: JWT

````